# eric7.Preferences.MouseClickDialog

Module implementing a dialog for the configuration of a mouse click sequence.

### Global Attributes

None

### Classes

MouseClickDialog | Class implementing a dialog for the configuration of a mouse click sequence.

### Functions

None

## MouseClickDialog

Class implementing a dialog for the configuration of a mouse click sequence.

### Derived from

QDialog, Ui_MouseClickDialog

### Class Attributes

None

### Class Methods

None

### Methods

MouseClickDialog | Constructor
__showClickText | Private method to show a string representing the entered mouse click sequence.
eventFilter | Public method called to filter the event queue.
getClick | Public method to get the entered mouse click sequence.
on_clearButton_clicked | Private slot to clear the entered sequence.

### Static Methods

None

#### MouseClickDialog (Constructor)

MouseClickDialog(modifiers, button, parent=None)

Constructor

modifiers (Qt.KeyboardModifiers)
  keyboard modifiers of the handler
button (Qt.MouseButton)
  mouse button of the handler
parent (QWidget)
  reference to the parent widget

#### MouseClickDialog.__showClickText

__showClickText()

Private method to show a string representing the entered mouse click sequence.

#### MouseClickDialog.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched (QObject)
  reference to the watched object
event (QEvent)
  reference to the event that occurred

Return:
  flag indicating a handled event

Return Type:
  bool

#### MouseClickDialog.getClick

getClick()

Public method to get the entered mouse click sequence.

Return:
  tuple containing the modifiers and the mouse button

Return Type:
  tuple of Qt.KeyboardModifiers and Qt.MouseButton

#### MouseClickDialog.on_clearButton_clicked

on_clearButton_clicked()

Private slot to clear the entered sequence.

Up